# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
# Remove once apocalypse gets into build root. But keep the BuildRequires
# conditional blocks to utlize apocalypse during futher package life.
%define perl_bootstrap 1

Name:           perl-Test-Pod-No404s
Version:        0.01
Release:        alt1_5
Summary:        Checks POD for HTTP 404 links
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Test-Pod-No404s/
Source0:        http://www.cpan.org/authors/id/A/AP/APOCAL/Test-Pod-No404s-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module/Build.pm)
# Run-Time:
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Pod/Simple/Text.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(URI/Find.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/NoWarnings.pm)
# Break build-time cycle with perl-Test-Apocalypse
%if %{undefined perl_bootstrap}
BuildRequires:  perl(Test/Apocalypse.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
%endif
Requires:       perl(LWP/UserAgent.pm) >= 5.834
Requires:       perl(Pod/Simple/Text.pm) >= 3.13
Requires:       perl(Test/Builder.pm) >= 0.94
Requires:       perl(Test/Pod.pm) >= 1.40
Requires:       perl(URI/Find.pm) >= 20090319

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\((LWP::UserAgent/d
%filter_from_requires /^Pod::Simple::Text/d
%filter_from_requires /^Test::Builder/d
%filter_from_requires /^Test::Pod/d
%filter_from_requires /^URI::Find)\\)$/d

%description
This module looks for any HTTP(S) links in your POD and verifies that they
will not return a 404. It uses LWP::UserAgent for the heavy lifting, and
simply lets you know if it failed to retrieve the document. More specifically,
it uses $response->is_error as the "test".

%prep
%setup -q -n Test-Pod-No404s-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes examples LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_5
- initial fc import

